Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

validate
enum<integer>
default:0
Available options:
0,
1

Body

application/json
payerId
string<uuid>
required

payer UUID

amount
number
required

deposit amount

id
string<uuid>

deposit intent UUID (optional)

successUrl
string<uri>

URL for redirecting after successful payment

cancelUrl
string<uri>

URL for redirecting after cancelling payment

expiryUrl
string<uri>

URL for redirecting after consent expiration

countryId
string

Payer country ISO 3166-1 alpha-2 code; client country is used by default

Required string length: 2
Example:

"LV"

Response

OK or VALIDATE

id
string<uuid>
required

ID of the deposit operation

Example:

"00000000-0000-0000-0000-000000000000"

redirectUrl
string<uri>
required

URL of the bank page where the user must confirm the payment

Example:

"https://bank.example.com/payment"